@echo off

set vkey=HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
set vv=PROCESSOR_ARCHITECTURE

for /f "tokens=3" %%i in ('reg query "%vkey%" /v "%vv%"') do set osb=%%i
if %osb%==x86 (


if exist c:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_c

if exist d:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_d

if exist e:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_e

if exist f:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_f

if exist g:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_g

if exist h:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_h

if exist i:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_i

if exist j:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_j

if exist k:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_k

if exist l:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_l

if exist m:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_m

if exist n:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_n

if exist o:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_o

if exist p:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_p

if exist q:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_q

if exist r:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_r

if exist s:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_s

if exist t:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_t

if exist u:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_u

if exist v:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_v

if exist w:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_w

if exist x:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_x

if exist y:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_y

if exist z:\Driver\15_MicrosoftHotfix\x86\Windows6.1-KB2482122-x86.msu goto path86_z


goto end

:path86_c
c:
cd c:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_d
d:
cd d:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_e
e:
cd e:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_f
f:
cd f:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_g
g:
cd g:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_h
h:
cd h:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_i
i:
cd i:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_j
j:
cd j:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_k
k:
cd k:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_l
l:
cd l:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_m
m:
cd m:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_n
n:
cd n:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_o
o:
cd o:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_p
p:
cd p:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_q
q:
cd q:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_r
r:
cd r:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_s
s:
cd s:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_t
t:
cd t:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_u
u:
cd u:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_v
v:
cd v:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_w
w:
cd w:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_x
x:
cd x:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_y
y:
cd y:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:path86_z
z:
cd z:\Driver\15_MicrosoftHotfix\x86 
goto inst_hotfix86

:inst_hotfix86
Windows6.1-KB2482122-x86.msu

goto end
) else (

if exist c:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_c

if exist d:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_d

if exist e:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_e

if exist f:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_f

if exist g:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_g

if exist h:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_h

if exist i:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_i

if exist j:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_j

if exist k:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_k

if exist l:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_l

if exist m:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_m

if exist n:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_n

if exist o:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_o

if exist p:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_p

if exist q:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_q

if exist r:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_r

if exist s:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_s

if exist t:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_t

if exist u:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_u

if exist v:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_v

if exist w:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_w

if exist x:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_x

if exist y:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_y

if exist z:\Driver\15_MicrosoftHotfix\x64\Windows6.1-KB2482122-x64.msu goto path64_z

goto end

:path64_c
c:
cd c:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_d
d:
cd d:\Driver\15_MicrosoftHotfix\x64 
@echo into path64
goto inst_hotfix64

:path64_e
e:
cd e:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_f
f:
cd f:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_g
g:
cd g:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_h
h:
cd h:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_i
i:
cd i:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_j
j:
cd j:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_k
k:
cd k:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_l
l:
cd l:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_m
m:
cd m:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_n
n:
cd n:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_o
o:
cd o:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_p
p:
cd p:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_q
q:
cd q:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_r
r:
cd r:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_s
s:
cd s:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_t
t:
cd t:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_u
u:
cd u:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_v
v:
cd v:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_w
w:
cd w:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_x
x:
cd x:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_y
y:
cd y:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64

:path64_z
z:
cd z:\Driver\15_MicrosoftHotfix\x64 
goto inst_hotfix64


:inst_hotfix64
Windows6.1-KB2482122-x64.msu

goto end
)
:end
exit